#include "run-time.h"

void _Init_dfmc_harp_browser_support_ () __attribute__((constructor));
void _Init_dfmc_harp_browser_support_ () {
  extern void _Init_Run_Time();
  extern void _Init_harp_();
  extern void _Init_dfmc_browser_support_();
  extern void _Init_dfmc_back_end_();
  extern void _Init_dfmc_management_();
  extern void _Init_dfmc_conversion_();
  extern void _Init_dfmc_reader_();
  extern void _Init_dfmc_namespace_();
  extern void _Init_dfmc_core_();
  extern void _Init_source_records_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_dfmc_harp_browser_support__X_harp_browser_support_library_for_system();
  extern void _Init_dfmc_harp_browser_support__X_harp_browser_support_for_system();
  extern void _Init_dfmc_harp_browser_support__X_harp_browser_support_library_for_user();
  extern void _Init_dfmc_harp_browser_support__X_harp_browser_support_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_harp_();
    _Init_dfmc_browser_support_();
    _Init_dfmc_back_end_();
    _Init_dfmc_management_();
    _Init_dfmc_conversion_();
    _Init_dfmc_reader_();
    _Init_dfmc_namespace_();
    _Init_dfmc_core_();
    _Init_source_records_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_dfmc_harp_browser_support__X_harp_browser_support_library_for_system();
    _Init_dfmc_harp_browser_support__X_harp_browser_support_for_system();
    _Init_dfmc_harp_browser_support__X_harp_browser_support_library_for_user();
    _Init_dfmc_harp_browser_support__X_harp_browser_support_for_user();
  }
}
